apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: customers.container.mom
spec:
  group: container.mom
  names:
    kind: Customer
    listKind: CustomerList
    plural: customers
    singular: customer
  scope: Namespaced
  versions:
    - name: v1alpha1
      served: true
      storage: true
      schema:
        openAPIV3Schema:
          type: object
          properties:
            spec:
              type: object
              required: ["email", "billingTier"]
              properties:
                email:
                  type: string
                billingTier:
                  type: string
                resourceQuota:
                  type: object
                  properties:
                    maxDeployments:
                      type: integer
                    maxCPU:
                      type: string
                    maxMemory:
                      type: string
                    maxClusters:
                      type: integer 